FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000375FL52.2 Subprogram FLUC (CONV)public2014-03-20 15:412014-10-27 11:31
ReporterTilo Eckert 
Assigned ToFalk Reichbott 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV1R13
Product Version0.08 
Target VersionFixed in Version5.1 
Summary0000375: Iconv on host does not recognize invalid UTF-8 characters
DescriptionDer Iconv auf der Host ignoriert die erste zwei Bit (10xxxxxx) bei einem Multibyte Zeichen in UTF-8.
Bsp: 0xC26D wird zu 0xC24D

Hierdurch werden invalide Zeichen in den Dateien zu validen Zeichen. Die invaliden werden nicht erkannt, können somit auch nicht protokolliert werden und der Text ist einfach verändert obwohl kein Fehler oder ähnliches hervorgerufen wird.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000549resolvedFalk Reichbott ICONV on Solaris don't support ISO-Codepages 

-  Notes
(0000436)
Falk Reichbott (administrator)
2014-05-03 11:56

Add paragraph to CNVCHR chapter in manual to descript the effects for this component on z/OS, USS and other platforms based on IBM iconv implementation.
(0000659)
Falk Reichbott (administrator)
2014-10-27 11:31

We use now a own character conversion module, which supports all features (reporting, substitution, ignore, transliteration, subsets, ...) also on z/OS (no auto substitution with 0x3F anymore) and runs restricted for UTF-8 encodings.

We have also implement an unrestricted form which is around 3% faster, but this feature is currently not available, because the CPU atvantage is to small.

- Issue History
Date Modified Username Field Change
2014-03-20 15:41 Tilo Eckert New Issue
2014-03-20 15:41 Tilo Eckert Status new => assigned
2014-03-20 15:41 Tilo Eckert Assigned To => Falk Reichbott
2014-03-28 08:52 Falk Reichbott View Status private => public
2014-03-28 08:52 Falk Reichbott Description Updated View Revisions
2014-05-03 11:56 Falk Reichbott Note Added: 0000436
2014-09-01 07:45 Falk Reichbott Relationship added related to 0000549
2014-09-01 08:20 Falk Reichbott Severity minor => major
2014-10-27 11:31 Falk Reichbott Note Added: 0000659
2014-10-27 11:31 Falk Reichbott Status assigned => resolved
2014-10-27 11:31 Falk Reichbott Fixed in Version => 5.1
2014-10-27 11:31 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker